unit frmmain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, SDL_RChart;

type
  TForm1 = class(TForm)
    RC1: TRChart;
    BitBtn1: TBitBtn;
    LblX: TLabel;
    LblY: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    procedure BitBtn1Click(Sender: TObject);
    procedure RC1MouseMoveInChart(Sender: TObject; InChart: Boolean;
      Shift: TShiftState; rMousePosX, rMousePosY: Double);
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}


(*****************************************************)
procedure TForm1.BitBtn1Click(Sender: TObject);
(*****************************************************)

begin
close;
end;

(*****************************************************)
procedure TForm1.RC1MouseMoveInChart(Sender: TObject; InChart: Boolean;
  Shift: TShiftState; rMousePosX, rMousePosY: Double);
(*****************************************************)

var
  GElem   : integer;
  ElemPar : TrcChartItem;
  dist    : double;
  astr    : string;

begin
GElem := RC1.FindNearestItemScreen (rMousePosX, rMousePosY,
                                tkMArkAt, 255, Dist);
ElemPar := RC1.GetItemParams (GElem);
RC1.RemoveLastItem;                                  { remove old cursor }
RC1.MarkAt (ElemPar.x,ElemPar.y, 25);                { set new cursor }
RC1.ShowGraf;
Str(ElemPar.X:1:2, astr);
LblX.Caption := astr;
Str(ElemPar.Y:1:2, astr);
LblY.Caption := astr;
end;


(*****************************************************)
procedure TForm1.FormActivate(Sender: TObject);
(*****************************************************)

var
  i : integer;

begin
RC1.ClearGraf;
RC1.DataColor := clNavy;
for i:=1 to 100 do
  RC1.MarkAt(1200+15*i,sin(0.05*i)+random,10);
RC1.DataColor := clRed;
RC1.MarkAt (0,0,25);  { dummy for cursor image }
RC1.ShowGraf;
end;


end.
